| Home | Libraries | People | FAQ | More

## Struct template key_of_value

boost::intrusive::key_of_value

## Synopsis

    // In header: <boost/intrusive/options.hpp>

    template<typename KeyOfValue>
    struct key_of_value {
    };

## Description

This option setter specifies a function object that specifies the type of the key of an associative container and an operator to obtain it from a value type.

This function object must the define a `type` member typedef and a member with signature `type [const&] operator()(const value_type &) const` that will return the key from a value_type of an associative container